API Documentation
  1. API Documentation - Version 3
API Documentation
  • API Documentation - Version 3
    • Getrate API
      POST
    • Purchase API
      POST
    • Get All Orders API
      POST
    • Get Order Detail API
      POST
    • Cancel Orders API
      POST
    • Get PodInfo API
      POST
    • Get Label API
      POST
    • Get TrackingInfo API
      POST
    • Create Manifest
      POST
    • Get Manifest
      POST
    • GetBreakdown
      POST
  1. API Documentation - Version 3

Get Order Detail API

POST
/api/v3/shipment/{orderId}

Request

Path Params

Body Params application/json

Example
{
    "accessToken": "string",
    "mode": "production"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.batchship.com/api/v3/shipment/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "accessToken": "string",
    "mode": "production"
}'

Responses

🟢200成功
application/json
Body

Example
{
    "success": true,
    "payload": {
        "order": {
            "totalCharge": {
                "unit": "USD",
                "value": 5.47
            },
            "_id": "653a0543c4f4c760afa2f13d",
            "mode": "sandbox",
            "user": "65123cf9a6ae9a6e68e24de6",
            "status": "pending",
            "rateId": "e1b7cf2d1516d8c5343a087e10a5a2261ff36b83bdb5a91c6ce51b19586ed98615072005809431",
            "shipmentId": "amzn1.70bb2182-1c1c-4222-b9d2-77bfbd965505",
            "packageDocumentDetails": [
                {
                    "packageClientReferenceId": "SWA_US_SmartP_Test",
                    "packageDocuments": [
                        {
                            "type": "LABEL",
                            "contents": "LABEL_IMAGE",
                            "format": "PDF"
                        }
                    ],
                    "trackingId": "9031322607088"
                }
            ],
            "shipFrom": {
                "name": "Felix",
                "companyName": "Batchship2",
                "addressLine1": "8945 Dice Road",
                "city": "Santa Fe Springs",
                "stateOrRegion": "CA",
                "postalCode": "90670",
                "countryCode": "US",
                "phoneNumber": "",
                "email": "",
                "_id": "653a0448c4f4c760afa2f12f"
            },
            "shipTo": {
                "name": "Jason",
                "companyName": "Batchship",
                "addressLine1": "318 BREA CANYON RD",
                "city": "CITY OF INDUSTRY",
                "stateOrRegion": "CA",
                "postalCode": "91789",
                "countryCode": "US",
                "phoneNumber": "",
                "email": "",
                "_id": "653a0448c4f4c760afa2f130"
            },
            "packages": [
                {
                    "sellerDisplayName": "APIAutomationSeller",
                    "insuredValue": {
                        "unit": "USD",
                        "value": 12
                    },
                    "weight": {
                        "unit": "OUNCE",
                        "value": 2
                    },
                    "items": [
                        {
                            "quantity": 1,
                            "itemValue": {
                                "unit": "USD",
                                "value": 10
                            },
                            "description": "SWA QA API Automation Items",
                            "weight": {
                                "unit": "OUNCE",
                                "value": 1
                            },
                            "itemIdentifier": "64618560956686",
                            "isHazmat": false,
                            "productType": "Rufus"
                        }
                    ],
                    "isHazmat": false,
                    "packageClientReferenceId": "SWA_US_SmartP_Test",
                    "dimensions": {
                        "unit": "INCH",
                        "length": 3,
                        "width": 3.14159,
                        "height": 3.14159
                    }
                }
            ],
            "referenceId1": "",
            "referenceId2": "",
            "referenceId3": "",
            "createdAt": "2024-03-26T22:11:06.063Z",
            "updatedAt": "2024-03-26T22:11:06.063Z",
            "__v": 0,
            "eventHistory": [
                {
                    "eventTime": "2019-03-19T12:36:03Z",
                    "eventCode": "ReadyForReceive",
                    "location": null
                },
                {
                    "eventTime": "2019-03-19T18:49:41Z",
                    "eventCode": "PickupDone",
                    "location": null
                },
                {
                    "eventTime": "2019-03-19T19:19:02Z",
                    "eventCode": "Received",
                    "location": {
                        "stateOrRegion": "NY",
                        "countryCode": "US",
                        "city": "Bethpage",
                        "postalCode": "11714"
                    }
                },
                {
                    "eventTime": "2019-03-19T19:54:49Z",
                    "eventCode": "Received",
                    "location": {
                        "stateOrRegion": "NY",
                        "countryCode": "US",
                        "city": "Bethpage",
                        "postalCode": "11714"
                    }
                },
                {
                    "eventTime": "2019-03-19T23:14:08Z",
                    "eventCode": "Departed",
                    "location": {
                        "stateOrRegion": "NY",
                        "countryCode": "US",
                        "city": "Bethpage",
                        "postalCode": "11714"
                    }
                },
                {
                    "eventTime": "2019-03-20T02:47:54Z",
                    "eventCode": "Received",
                    "location": {
                        "stateOrRegion": "New Jersey",
                        "countryCode": "US",
                        "city": "Teterboro",
                        "postalCode": "07608"
                    }
                },
                {
                    "eventTime": "2019-03-20T09:53:01Z",
                    "eventCode": "Departed",
                    "location": {
                        "stateOrRegion": "New Jersey",
                        "countryCode": "US",
                        "city": "Teterboro",
                        "postalCode": "07608"
                    }
                },
                {
                    "eventTime": "2019-03-20T19:52:06Z",
                    "eventCode": "Received",
                    "location": {
                        "stateOrRegion": "VA",
                        "countryCode": "US",
                        "city": "Ashland",
                        "postalCode": "23005"
                    }
                },
                {
                    "eventTime": "2019-03-20T22:10:27Z",
                    "eventCode": "Departed",
                    "location": {
                        "stateOrRegion": "VA",
                        "countryCode": "US",
                        "city": "Ashland",
                        "postalCode": "23005"
                    }
                },
                {
                    "eventTime": "2019-03-21T03:27:05Z",
                    "eventCode": "Received",
                    "location": {
                        "stateOrRegion": "VA",
                        "countryCode": "US",
                        "city": "Richmond",
                        "postalCode": "23222"
                    }
                },
                {
                    "eventTime": "2019-03-21T12:59:47Z",
                    "eventCode": "OutForDelivery",
                    "location": {
                        "stateOrRegion": "VA",
                        "countryCode": "US",
                        "city": "Richmond",
                        "postalCode": "23222"
                    }
                },
                {
                    "eventTime": "2019-03-21T14:29:51Z",
                    "eventCode": "Delivered",
                    "location": null
                }
            ],
            "summary": {
                "status": "Delivered"
            },
            "trackingId": "9031322607088",
            "promisedDeliveryDate": "2019-03-22T03:00:00Z"
        }
    }
}
Modified at 2026-02-28 08:29:58
Previous
Get All Orders API
Next
Cancel Orders API
Built with